# ReflectionClassConstant::export

(PHP 7 >= 7.1.0)

ReflectionClassConstant::export — Export

Advertencia

Esta función ha sido declarada OBSOLETA a partir de PHP 7.4.0, y es ELIMINADA desde PHP 8.0.0. Su uso está totalmente desaconsejado.

### Descripción

public static ReflectionClassConstant::export(mixed `$class`, string `$name`, bool `$return` = ?): string

Exports a reflection.

Advertencia

Esta función no está documentada actualmente, solamente se encuentra disponible la lista de parámetros.

### Parámetros

`class`

  La reflexión a exportar.

`name`

  The class constant name.

`return`

  Configurarlo a `true` devolverá la exportación, a diferencia de emitirla. Configurarlo a `false` (el valor por defecto) hará lo contrario.

### Valores devueltos

### Ver también

- ReflectionClassConstant::__toString() - Returns the string representation of the ReflectionClassConstant object